# class Gtk::TextTag

### Public Instance Methods

scale=(scale)
Alias for: set_scale
set_scale(scale) click to toggle source

    # File lib/gtk3/text-tag.rb, line 31
    def set_scale(scale)
      case scale
      when Symbol, String
        scale = Pango::Scale.const_get(scale.to_s.upcase)
      end
      set_scale_raw(scale)
    end

Also aliased as: set_scale_raw, scale=
set_scale_raw(scale)
Alias for: set_scale
set_weight(weight) click to toggle source

    # File lib/gtk3/text-tag.rb, line 20
    def set_weight(weight)
      case weight
      when Symbol, String
        weight = Pango::Weight.new(weight).to_i
      end
      set_weight_raw(weight)
    end

Also aliased as: set_weight_raw, weight=
set_weight_raw(weight)
Alias for: set_weight
weight=(weight)
Alias for: set_weight